/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.impl;

import net.northking.cctp.executePlan.db.dao.AtuPlanScriptLinkDao;
import net.northking.cctp.executePlan.db.service.AtuPlanScriptLinkService;
import net.northking.cctp.executePlan.db.entity.AtuPlanScriptLink;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 计划脚本关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-08-31 16:48:02  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "AtuPlanScriptLinkServiceImpl")
public class AtuPlanScriptLinkServiceImpl extends PaginationService<AtuPlanScriptLink> implements AtuPlanScriptLinkService
{
private static final Logger logger = LoggerFactory.getLogger(AtuPlanScriptLinkServiceImpl.class);

  private final AtuPlanScriptLinkDao atuPlanScriptLinkDao;

  public AtuPlanScriptLinkServiceImpl(AtuPlanScriptLinkDao atuPlanScriptLinkDao) {this.atuPlanScriptLinkDao = atuPlanScriptLinkDao;}

  @Override
  public BasicDao<AtuPlanScriptLink> getDao() {return atuPlanScriptLinkDao;}

  @Override
  public AtuPlanScriptLink createEntity() { return new AtuPlanScriptLink();}

  @Override
  protected void beforeInsert(AtuPlanScriptLink atuPlanScriptLink) {

  }

  @Override
  protected void beforeUpdate(AtuPlanScriptLink atuPlanScriptLink) {

  }

  @Override
  public Integer insertLinkList(List<AtuPlanScriptLink> list) {
    return atuPlanScriptLinkDao.insertLinkList(list);
  }

    @Override
    public long countByScriptIdList(List<String> scriptIdList) {
      return atuPlanScriptLinkDao.countByScriptIdList(scriptIdList);
    }


// ----      The End by Generator     ----//




}

